import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class SelecteurSolEquipement extends JDialog implements KeyListener{
	
	private Monde monde;
	private JLabel solLbl=new JLabel("AU SOL (,)");
	private JLabel equipLbl=new JLabel("EQUIPEMENT (*)");
	
	Font police;
	
	private ParcheminFond pfond=new ParcheminFond();
	
	public SelecteurSolEquipement(Monde world){
		
		police=world.getPolice();
		
		
		monde=world;
		Container c=getContentPane();
		c.setLayout(null);
		
		
		
		solLbl.setFont(police);
		equipLbl.setFont(police);
		
		
		
		solLbl.setBounds(10,10,110,20);
		c.add(solLbl);
		
		
		equipLbl.setBounds(110,10,110,20);
		c.add(equipLbl);
		
		addKeyListener(this);
		
		
		if(monde.jeuPan.lang){
			solLbl.setText("GROUND (,)");
			equipLbl.setText("BACKPACK (*)");
		}
		
		
		pfond.setBounds(0,0,230,80);
		add(pfond);
		
		
		setLocation(0,0);
		setSize(230,80);
		show();
		
	}
	
	public void keyPressed(KeyEvent e){
		char lettre=e.getKeyChar();
		
		if(lettre==','){
			SelecteurObjetAuSol selecteurSolDialog=new SelecteurObjetAuSol(monde,monde.perso.getCooX(),monde.perso.getCooY());
		
			dispose();
		}
		
		if(lettre=='*'){
			SelecteurDansEquipement selecteurEquipDialog=new SelecteurDansEquipement(monde,monde.perso.equipementVect,null);

			dispose();
		}
		
		if (e.getKeyChar() == KeyEvent.VK_ESCAPE){
			dispose();
		}
	
	}
	public void keyReleased(KeyEvent e){}
	
	public void keyTyped(KeyEvent e){}
	
	
}